{% extends "users/userspace.html" %}

{% block content %}
    <section class="container py-5">
        <h1 class="text-center">Inscription</h1>

        {% if form.errors %}
            <div class="alert alert-danger col-6 mx-auto my-4" role="alert">
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname == "__all__" %}
                        Problèmes :
                    {% else %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}

        <form action="" method="post" class="col-lg-6 col-md-9 col-12 card px-5 py-4 mx-auto my-4">
            {% csrf_token %}

            <section class="mb-4">
                <h4 class="text-center mb-4">Votre compte</h4>

                <div class="mb-3">
                    <label for="{{ form.email.id_for_label }}" class="form-label">
                        {{ form.email.label }}
                    </label>

                    {{ form.email }}
                </div>

                <div class="mb-3">
                    <label for="{{ form.password.id_for_label }}" class="form-label">
                        {{ form.password.label }}
                    </label>

                    {{ form.password }}

                    <div class="form-text">
                        Votre mot de passe doit respecter les conditions suivantes :
                        <ul>
                            <li>Longueur d'au moins 8 caractères</li>
                            <li>Contenir des chiffres et des lettres</li>
                            <li>Ne pas contenir votre nom, prénom ou email</li>
                        </ul>
                    </div>
                </div>

                <div class="mb-3">
                    <label for="{{ form.password_confirm.id_for_label }}" class="form-label">
                        {{ form.password_confirm.label }}
                    </label>

                    {{ form.password_confirm }}
                </div>

                <div class="mb-3 d-flex flex-row flex-nowrap justify-content-between">
                    <div class="mr-3 col-6" style="max-width: 48%;">
                        <label for="{{ form.first_name.id_for_label }}" class="form-label">
                            {{ form.first_name.label }}
                        </label>

                        {{ form.first_name }}
                    </div>

                    <div class="col-6" style="max-width: 48%;">
                        <label for="{{ form.last_name.id_for_label }}" class="form-label">
                            {{ form.last_name.label }}
                        </label>

                        {{ form.last_name }}
                    </div>
                </div>
            </section>

            <section class="mb-3">
                <h4 class="text-center">À propos de vous</h4>

                <div class="mb-3">
                    <label for="{{ form.phone.id_for_label }}" class="form-label">
                        {{ form.phone.label }}
                    </label>

                    {{ form.phone }}

                    <div class="form-text">
                        {{ form.phone.help_text }}
                    </div>
                </div>

                <div class="mb-3">
                    <label for="{{ form.post_address.id_for_label }}" class="form-label">
                        {{ form.post_address.label }}
                    </label>

                    {{ form.post_address }}

                    <div class="form-text">
                        {{ form.post_address.help_text }}
                    </div>
                </div>

            </section>

            <p class="mb-5">
                Nous ne partagerons jamais vos informations personnelles à des tiers. Elles seront utilisées uniquement
                dans
                le cadre du bon fonctionnement de l'amap. Vous pouvez choisir à tout moment de faire retirer ces données
                de
                nos
                serveurs, en vertu de la Loi informatique et libertés (loi n°78-17 du 6 janvier 1978 et modifications
                ultérieures) et notamment du droit de rectification.
            </p>

            <button type="submit" class="btn btn-primary fs-4">S'inscrire</button>
        </form>
    </section>
{% endblock %}